<?php
/**
 * Copyright © 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace FiloBlu\Storelocator\Model\Import\Stores;

interface RowValidatorInterface extends \Magento\Framework\Validator\ValidatorInterface
{
       const ERROR_INVALID_TITLE= 'InvalidValueTITLE';
       const ERROR_TITLE_IS_EMPTY = 'EmptyTITLE';
       
       const ERROR_INVALID_ENABLED= 'InvalidValueENABLED: must be 1 = Enabled / 2 = Disabled';
       const ERROR_ENABLED_IS_EMPTY = 'EmptyENABLED';
       
       const ERROR_INVALID_STOREID = 'invalidStoreId';
       
       const ERROR_INVALID_EMAIL = 'invalidEmail';
       
       const ERROR_INVALID_HOURS = 'invalidHoursFormat: must be ex: 08:30-12:00,15:00-19:00';
    /**
     * Initialize validator
     *
     * @return $this
     */
    public function init($context);
}
